---
apiVersion: "v1"
items:
- apiVersion: "v1"
  kind: "ServiceAccount"
  metadata:
    labels:
      provider: "fabric8"
      project: "hello-ribbon-spring-boot"
      version: "1.0.23"
      group: "io.fabric8.kubeflix"
    name: "ribbon"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      servicepath: "/hello"
      fabric8.io/git-commit: "d75bd35f037447e540543b2f9ad0bb0843ac77ba"
      fabric8.io/iconUrl: "img/icons/spring-boot.svg"
      fabric8.io/git-branch: "release-v1.0.23"
      fabric8.io/build-id: "1"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/d75bd35f037447e540543b2f9ad0bb0843ac77ba"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/1"
    labels:
      hystrix.enabled: "true"
      project: "hello-ribbon-spring-boot"
      provider: "fabric8"
      version: "1.0.23"
      group: "io.fabric8.kubeflix"
    name: "hello-ribbon-spring-boot"
  spec:
    ports:
    - name: "http"
      port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      hystrix.enabled: "true"
      project: "hello-ribbon-spring-boot"
      provider: "fabric8"
      group: "io.fabric8.kubeflix"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "d75bd35f037447e540543b2f9ad0bb0843ac77ba"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=hello-ribbon-spring-boot&var-version=1.0.23"
      fabric8.io/build-id: "1"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/1"
      fabric8.io/iconUrl: "img/icons/spring-boot.svg"
      fabric8.io/git-branch: "release-v1.0.23"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/d75bd35f037447e540543b2f9ad0bb0843ac77ba"
    labels:
      hystrix.enabled: "true"
      project: "hello-ribbon-spring-boot"
      provider: "fabric8"
      version: "1.0.23"
      group: "io.fabric8.kubeflix"
    name: "hello-ribbon-spring-boot"
  spec:
    replicas: 1
    selector:
      hystrix.enabled: "true"
      project: "hello-ribbon-spring-boot"
      provider: "fabric8"
      group: "io.fabric8.kubeflix"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "d75bd35f037447e540543b2f9ad0bb0843ac77ba"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=hello-ribbon-spring-boot&var-version=1.0.23"
          fabric8.io/build-id: "1"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/1"
          fabric8.io/iconUrl: "img/icons/spring-boot.svg"
          fabric8.io/git-branch: "release-v1.0.23"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/d75bd35f037447e540543b2f9ad0bb0843ac77ba"
        labels:
          hystrix.enabled: "true"
          project: "hello-ribbon-spring-boot"
          provider: "fabric8"
          version: "1.0.23"
          group: "io.fabric8.kubeflix"
      spec:
        containers:
        - env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/hello-ribbon-spring-boot:1.0.23"
          imagePullPolicy: "IfNotPresent"
          name: "hello-ribbon-spring-boot"
          ports:
          - containerPort: 8080
            name: "http"
          readinessProbe:
            httpGet:
              path: "/health"
              port: 8080
            initialDelaySeconds: 5
        serviceAccountName: "ribbon"
    triggers:
    - type: "ConfigChange"
kind: "List"
